<template>
	<div class="" >
		<div class="col s12 m6">
			<div class="card large">
				<div class="card-image">
					<img :src="article.image.path">
					<span class="card-title">{{article.title}}</span>
				</div>
				<div class="card-content">
					<p>{{article.abstract}}</p>
				</div>
				<div class="card-action">
					<a :href="article.url"> Keep reading</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: "Article",
	props: {
		article : Object
	}
}
</script>

<style lang="sass" scoped>
img
	transition: all .3s ease-in-out
	filter:  brightness(.6)
	&:hover
		filter:   brightness(1)
</style>